GAMMU-SMSD-INJECT(1)

NAME
gammu-smsd-inject - Inject messages into queue of SMS daemon for Gammu

SYNOPSIS

gammu-smsd-inject [OPTION]... MESSAGETYPE RECIPIENT [MESSAGE_PARAMETER]...

DESCRIPTION

This manual page documents briefly the gammu-smsd-inject command.

gammu-smsd-inject is a program that enqueues message in Gammu SMS Daemon, which will be later sent by the daemon using connected GSM modem.

Support for this program depends on features available in currently used SMSD service backend, however currently it is supported by all of them.

Program accepts following options (please note that long options might be not accepted on some platforms):

-h, --help

    Shows help.

-v, --version

    Shows version information and compiled in features.

-c, --config=file

    Configuration file to use, default is /etc/gammu-smsdrc, on Windows there is no default and configuration file path has to be always specified.

    For description of message types and their parameters, please check documentation for gammu savesms.

EXAMPLES

To check it out, you need to have configuration file for SMSD, see gammu-smsdrc for more details about it.

Inject text message up to standard 160 chars:

echo "All your base are belong to us" | gammu-smsd-inject TEXT 123456

or

gammu-smsd-inject TEXT 123456 -text "All your base are belong to us"

Inject long text message:

echo "All your base are belong to us" | gammu-smsd-inject TEXT 123456 -len 400

or

gammu-smsd-inject TEXT 123456 -len 400 -text "All your base are belong to us"

or

gammu-smsd-inject EMS 123456 -text "All your base are belong to us"

Inject some funky message with predefined sound and animation from 2 bitmaps:

gammu-smsd-inject EMS 123456 -text "Greetings" -defsound 1 -text "from Gammu" -tone10 axelf.txt -animation 2 file1.bmp file2.bmp

Inject protected message with ringtone:

gammu-smsd-inject EMS 123456 -protected 2 -variablebitmaplong ala.bmp -toneSElong axelf.txt -toneSE ring.txt

AUTHOR
Michal Čihař <michal@cihar.com>

COPYRIGHT
2009-2011, Michal Čihař <michal@cihar.com>